package io.renren.modules.app.service.impl;


import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.dao.YhxxDao;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.YhxxEntity;
import io.renren.modules.app.service.YhxxService;
import org.springframework.stereotype.Service;

import java.util.Arrays;
import java.util.List;


@Service("yhxxService")
public class YhxxServiceImpl extends ServiceImpl<YhxxDao, YhxxEntity> implements YhxxService {


    /**
     * 分页模糊查询
     * @param pageNum
     * @param pageSize
     * @param yhxxEntity
     * @return
     */
    @Override
    public PageInfo<YhxxEntity> queryByPage(Integer pageNum, Integer pageSize, YhxxEntity yhxxEntity) {
        PageHelper.startPage(pageNum, pageSize);
        List<YhxxEntity> yhxxEntitys = baseMapper.queryByPage(yhxxEntity);
        PageInfo<YhxxEntity> pageInfo = new PageInfo<YhxxEntity>(yhxxEntitys);
        return pageInfo;
    }

    /**
    * 单个或批量删除
    * @param ids
    */
    @Override
    public void deleteBatch(String[] ids) {
        this.deleteBatchIds(Arrays.asList(ids));
    }

	@Override
	public List<XlkEntity> selectkmxlk() {
	
		return baseMapper.selectyhke();
	}

	@Override
	public String queryyhbm() {
		return baseMapper.queryyhbm();
	}


}